> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Individual

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Creates a new individual Entity. An Entity can be created with an empty object
and progressively updated with more information from your end user.

<Note>Entities are not checked for existing duplicate Entities.</Note>

## Body

<ParamList
  items={[
{
  name: "type",
  type: "string",
  required: true,
  description: "The type of the Entity.",
  enums: ["individual"],
},
{
  name: "individual",
  type: "object",
  required: true,
  description: "Individual information of the Entity.",
  items: [
    {
      name: "individual.first_name",
      type: "string | null",
      required: false,
      description: "The legal first name of the individual Entity.",
    },
    {
      name: "individual.last_name",
      type: "string | null",
      required: false,
      description: "The legal last name of the individual Entity.",
    },
    {
      name: "individual.phone",
      type: "string | null",
      required: false,
      description: (
        <>
          Mobile phone number of the individual Entity in E.164 format. The
          number will only be used for KYC / AML verification.
          <Note>
            The Entity's phone number must be verified before it can be used for
            creating an Entity.
          </Note>
        </>
      ),
    },
    {
      name: "individual.email",
      type: "string | null",
      required: false,
      description: (
        <>
          Email address of the individual Entity. The email will only be
          used for KYC / AML verification.
        </>
      ),
    },
    {
      name: "individual.dob",
      type: "string | null",
      required: false,
      description: "The Entity's date of birth in ISO 8601 format.",
    },
    {
      name: "individual.ssn_4",
      type: "string | null",
      description: "The last 4 digits of the individual's SSN.",
    },
    {
      name: "individual.ssn",
      type: "string | null",
      description: "The individual's SSN.",
    },
  ],
},
{
  name: "address",
  type: "object",
  required: false,
  description: "Address information of the Entity.",
  items: [
    {
      name: "address.line1",
      type: "string | null",
      required: false,
      description: "The first line of the Entity's address.",
    },
    {
      name: "address.line2",
      type: "string | null",
      required: false,
      description: "The second line of the Entity's address.",
    },
    {
      name: "address.city",
      type: "string | null",
      required: false,
      description: "The city of the Entity's address.",
    },
    {
      name: "address.state",
      type: "string | null",
      required: false,
      description:
        "The two-letter abbreviation for the state of the Entity's address.",
    },
    {
      name: "address.zip",
      type: "string | null",
      required: false,
      description: "The ZIP code of the Entity's address.",
    },
  ],
},
]}
/>

## Returns

Returns the newly created Entity.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/entities \
    -X POST \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
    -H "Content-Type: application/json" \
    -d '{
      "type": "individual",
      "individual": {
        "first_name": "Kevin",
        "last_name": "Doyle",
        "phone": "+15121231113",
        "email": "kevin.doyle@gmail.com",
        "dob": "1997-03-18"
      },
      "address": {
        "line1": "3300 N Interstate 35",
        "line2": null,
        "city": "Austin",
        "state": "TX",
        "zip": "78705"
      }
    }'
  ```

  ```javascript Node.js theme={null}
  const entity = await method.entities.create({
    type: "individual",
    individual: {
      first_name: "Kevin",
      last_name: "Doyle",
      phone: "+15121231113",
      email: "kevin.doyle@gmail.com",
      dob: "1997-03-18",
    },
    address: {
      line1: "3300 N Interstate 35",
      line2: null,
      city: "Austin",
      state: "TX",
      zip: "78705",
    },
  });
  ```

  ```python Python theme={null}
  entity = method.entities.create({
    'type': 'individual',
    'individual': {
      'first_name': 'Kevin',
      'last_name': 'Doyle',
      'phone': '+15121231113',
      'email': 'kevin.doyle@gmail.com',
      'dob': '1997-03-18',
    },
    'address': {
      'line1': '3300 N Interstate 35',
      'line2': None,
      'city': 'Austin',
      'state': 'TX',
      'zip': '78705'
    }
  })
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "ent_BzirqpLEm3BW7",
    "type": "individual",
    "individual": {
      "first_name": "Kevin",
      "last_name": "Doyle",
      "phone": "+15121231113",
      "dob": "1997-03-18",
      "email": "kevin.doyle@gmail.com",
      "ssn_4": null,
      "ssn": null
    },
    "error": null,
    "address": {
      "line1": "3300 N Interstate 35",
      "line2": null,
      "city": "Austin",
      "state": "TX",
      "zip": "78705"
    },
    "status": "incomplete",
    "verification": {
      "identity": {
        "verified": false,
        "matched": false,
        "latest_verification_session": null,
        "methods": [
          "element",
          "kba"
        ]
      },
      "phone": {
        "verified": true,
        "latest_verification_session": "evf_P4QXNj93Y9J8L",
        "methods": []
      }
    },
    "connect": null,
    "credit_score": null,
    "products": [
      "identity"
    ],
    "restricted_products": [
      "connect",
      "credit_score",
      "attribute"
    ],
    "subscriptions": [],
    "available_subscriptions": [
      "connect",
      "credit_score"
    ],
    "restricted_subscriptions": [],
    "metadata": null,
    "created_at": "2023-10-24T21:50:53.024Z",
    "updated_at": "2023-10-24T21:50:53.024Z"
  }
  ```
</ResponseExample>
